#version 100
precision mediump float;varying vec4 col;varying vec3 nrm;varying vec2 uv;uniform 
sampler2D tex0;uniform sampler2D tex1;uniform sampler2D tex2;uniform float grt;
void main(){vec2 gUV = uv - vec2(1158.0/2048.0,0);gUV *= (1158.0)/2048.0;gUV += 
vec2(mod(grt,4.0),-1.0-floor(grt/4.0))*.25;vec4 texcol = texture2D(tex1,gUV);
texcol.a = texture2D(tex1,uv).a;vec4 envcol = texture2D(tex0,nrm.xy * 0.5 + vec2
(0.5,0.5) );vec4 litcol = texture2D(tex2,nrm.xy * 0.5 + vec2(0.5,0.5) );gl_FragColor
= mix(envcol,texcol*litcol,texcol.a);}